require 'omniauth-oauth2'

module OmniAuth
  module Strategies
    class FBAccountKit < OmniAuth::Strategies::OAuth2

      option :name, 'fbaccountkit'

      option :client_options, {
        :site => 'https://graph.accountkit.com',
      }

      attr_accessor :access_token

      uid { raw_info['id'] }

      info do
        {
          :email => raw_info['email.address'],
          :phone => raw_info['phone.number']
        }
      end

      extra do
        {
          'raw_info' => raw_info
        }
      end


      def raw_info
        @raw_info ||= access_token.get('/me').parsed
      end

    end
  end
end

OmniAuth.config.add_camelization "fbaccountkit", "FBAccountKit"